Debian : Librairies MPlayer et dépendances

Le
David Noyelle
Bonjour à tous,

voilà je suis en Debian woody 2.4.18 (stable) et je voudrai installer
MPlayer et ses librairies dépendantes dans /usr/local, histoire de ne
pas avoir de problèmes par la suite.

1. Comment faire en sorte que DPKG m'installe les librairies
préalablement téléchargées (packages .deb) dans /usr/local/lib ?

2. Y a t-il une autre solution (faire ça "à la main" en compilant les
librairies par exemple) ?

Merci d'avance,

David
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Jean-Yves LENHOF
Le #1058221
Le Fri, 30 Apr 2004 16:55:27 +0200, David Noyelle a écrit :

Bonjour à tous,

voilà je suis en Debian woody 2.4.18 (stable) et je voudrai installer
MPlayer et ses librairies dépendantes dans /usr/local, histoire de ne
pas avoir de problèmes par la suite.

1. Comment faire en sorte que DPKG m'installe les librairies
préalablement téléchargées (packages .deb) dans /usr/local/lib ?

2. Y a t-il une autre solution (faire ça "à la main" en compilant les
librairies par exemple) ?

Merci d'avance,

David



Jette un oeil sur marillat.free.fr

A+

Alain Labarthe
Le #1058047
Le 30-04-2004, David Noyelle écrivait:
Bonjour à tous,

voilà je suis en Debian woody 2.4.18 (stable) et je voudrai installer
MPlayer et ses librairies dépendantes dans /usr/local, histoire de ne
pas avoir de problèmes par la suite.

1. Comment faire en sorte que DPKG m'installe les librairies
préalablement téléchargées (packages .deb) dans /usr/local/lib ?

2. Y a t-il une autre solution (faire ça "à la main" en compilant les
librairies par exemple) ?



Ajoutez ça à votre /etc/apt/sources.list :

deb ftp://ftp.nerim.net/debian-marillat/ stable main

Puis apt-get update
suivi de apt-get install mplayer

--
apt-get --purge remove Bush

Schott
Le #1057872
On Fri, 30 Apr 2004 22:19:21 +0200, Jean-Yves LENHOF wrote:


Jette un oeil sur marillat.free.fr


Jean-Yves, t'es qu'un vilain goret-quotteur.

Tshaw
Schott
si au moins tu savais rédiger une doc d'exploit'...

David Noyelle
Le #1520379
Alain Labarthe wrote:
Le 30-04-2004, David Noyelle écrivait:


Ajoutez ça à votre /etc/apt/sources.list :

deb ftp://ftp.nerim.net/debian-marillat/ stable main

Puis apt-get update
suivi de apt-get install mplayer



ok merci,

voila ce que ca me donne :

---------------------------------------------------------------------------
mplayer-386: Depends: aalib1 (>= 1.2) but it is not going to be installed
Depends: libasound2 (>= 0.9.0beta10a-1) but it is not
going to be installed
Depends: libavcodec1 (>= 1:0.4.8-woody0.0) but it is not
going to be installed
Depends: libcdparanoia0 (>= 3a9.8-6) but it is not going
to be installed
Depends: libfaad2-0 (>= 1.1) but it is not going to be
installed
Depends: libggi2 (>= 1:2.0.1-2) but it is not going to
be installed
Depends: liblircclient0 but it is not going to be installed
Depends: liblzo1 but it is not going to be installed
Depends: libmad0 (>= 0.14.2b) but it is not going to be
installed
Depends: libpostproc0 (>= 0.90rc1-0.4) but it is not
going to be installed
Depends: libsdl1.2debian (> 1.2.3) but it is not going
to be installed
Depends: libvorbis0 (>= 1.0rc3-1) but it is not going to
be installed
Depends: libxvidcore2 (>= 1:0.9.2-0.2) but it is not
going to be installed
Depends: svgalibg1 or
svgalib-dummyg1 but it is not going to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or
specify a solution).

------------------------------------------------------------------------

Avec "apt-get install -f", je risque de blaster mes dépendances. Je n'ai
peut être pas été très clair, mais ma question de base c'est plutôt de
savoir comment installer les nouvelles librairies dont j'ai besoin sans
toucher à celles déjà installées. C'est pour cela que je pensais les
mettre dans "/usr/local/lib".

ps : pour l'instant j'ai téléchargé et installé MPlayer0.92 à la main
(make, make install...)dans "/usr/local", ca marche mais c'est pas tres
propre comme install (pas de skin, manque des codecs...).

Merci pour vos réponses,

David

Alain Labarthe
Le #1059095
Le 01-05-2004, David Noyelle écrivait:
Alain Labarthe wrote:
Le 30-04-2004, David Noyelle écrivait:


Ajoutez ça à votre /etc/apt/sources.list :

deb ftp://ftp.nerim.net/debian-marillat/ stable main

Puis apt-get update
suivi de apt-get install mplayer



ok merci,

voila ce que ca me donne :

Si vous avez besoin de mplayer vous n'avez donc pas une machine en

production critique, je vous conseille alors de passer en sarge ou
même en sid.

--
apt-get --purge remove Bush


Publicité
Poster une réponse
Anonyme